Subject: RE: How to make cygwin/bash shell work in emacs
From: "Roman Adar" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 2 Oct 2001 12:44:29 -0700

Ehud

Thanks for your help and your patience.

1. I've set the 1st line in my /etc/profile to "set -x"
2. When I invoke the cygwin shell now I see what happens.
3. M-x, "getenv RET BASH_ENV RET" does not do anything, as this function can
not be called from command line. I can do "setenv" and tried to set it to
/etc/profile again.
4. I run the ./runemacs.exe from cygwin prompt.
5. I can see that there is error when emacs starts, at the bottom:

Error in init file: Symbol's value as variable is void: BASH_ENV.

Is there another place that I've to set this env variable ?

6. Attached please find my "profile" and ".emacs" files if you would like to
have a look at them.

I'll appreciate if you could point what could be wrong ?

Thanks again

Roman

-----Original Message-----
From: Ehud Karni [mailto:[email-masked]]
Sent: Tuesday, October 02, 2001 4:18 AM
To: Roman Adar
Cc: [email-masked]
Subject: Re: How to make cygwin/bash shell work in emacs

On Mon, 1 Oct 2001 21:20:27 -0700, Roman Adar <[email-masked]> wrote:
>
> Adding the: (setenv "BASH_ENV" "/etc/profile") to my .emacs file did not
> solve the problem of the path, where the "perl" is picked from. It still
> stays /usr/bin.

Debug it. Check that you really set the Emacs env by M-x getenv RET
BASH_ENV RET. Also check the values of the Emacs variables:
`sh-shell-file' and `shell-file-name' (they should be "bash" NOT "sh").
Add set -x as the 1st line of your /etc/profile and check if it is
called or any later command changes the PATH.

Just to give you hope, I can tell you that it works fine for me and
other users.

Ehud.

--
 Ehud Karni     Mivtach - Simon  Insurance   /"\
 Tel: +972-3-7966-561 Fax: +972-3-7966-667   \ /  ASCII Ribbon Campaign
 (USA) Fax and  voice  mail: 1-815-5509341    X   Against  HTML  Mail
     Better     Safe     Than     Sorry      / \
     mailto:[email-masked]    http://www.simonwiesel.co.il
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/